Bug 802135 - SELinux is preventing /bin/rm from 'rmdir' accesses on the dossier BOINC_VM.
SELinux is preventing /bin/rm from 'rmdir' accesses on the dossier BOINC_VM.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:fcbad866f3a3934f0e847bfb493...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-11 12:06 EDT by Pascal94
Modified: 2012-04-21 23:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-84.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-21 23:37:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pascal94 2012-03-11 12:06:30 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.2.9-2.fc16.x86_64
reason:         SELinux is preventing /bin/rm from 'rmdir' accesses on the dossier BOINC_VM.
time:           dim. 11 mars 2012 17:06:07 CET

description:
:SELinux is preventing /bin/rm from 'rmdir' accesses on the dossier BOINC_VM.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that rm should be allowed rmdir access on the BOINC_VM directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep rm /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:boinc_project_t:s0
:Target Context                system_u:object_r:boinc_var_lib_t:s0
:Target Objects                BOINC_VM [ dir ]
:Source                        rm
:Source Path                   /bin/rm
:Port                          <Inconnu>
:Host                          (removed)
:Source RPM Packages           coreutils-8.12-6.fc16.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-78.fc16.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Permissive
:Host Name                     (removed)
:Platform                      Linux CM-ELITE-341 3.2.9-2.fc16.x86_64 #1 SMP Mon
:                              Mar 5 20:55:39 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    dim. 11 mars 2012 17:04:22 CET
:Last Seen                     dim. 11 mars 2012 17:04:22 CET
:Local ID                      b6a8036e-4e44-4eb4-bba1-60adf898bbe7
:
:Raw Audit Messages
:type=AVC msg=audit(1331481862.761:216): avc:  denied  { rmdir } for  pid=5771 comm="rm" name="BOINC_VM" dev=sda1 ino=663209 scontext=system_u:system_r:boinc_project_t:s0 tcontext=system_u:object_r:boinc_var_lib_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1331481862.761:216): arch=x86_64 syscall=unlinkat success=yes exit=0 a0=ffffffffffffff9c a1=bff0c0 a2=200 a3=0 items=0 ppid=5568 pid=5771 auid=4294967295 uid=993 gid=990 euid=993 suid=993 fsuid=993 egid=990 sgid=990 fsgid=990 tty=(none) ses=4294967295 comm=rm exe=/bin/rm subj=system_u:system_r:boinc_project_t:s0 key=(null)
:
:Hash: rm,boinc_project_t,boinc_var_lib_t,dir,rmdir
:
:audit2allow
:
:#============= boinc_project_t ==============
:allow boinc_project_t boinc_var_lib_t:dir rmdir;
:
:audit2allow -R
:
:#============= boinc_project_t ==============
:allow boinc_project_t boinc_var_lib_t:dir rmdir;
:
Comment 1 Miroslav Grepl 2012-03-16 07:21:03 EDT
Fixed in selinux-policy-3.10.0-81.fc16
Comment 2 Fedora Update System 2012-04-18 08:54:55 EDT
selinux-policy-3.10.0-84.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-84.fc16
Comment 3 Fedora Update System 2012-04-21 23:37:05 EDT
selinux-policy-3.10.0-84.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.